public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/ekopath/
Date: Fri, 21 Oct 2016 18:58:16 +0000 (UTC)	[thread overview]
Message-ID: <1477076293.27dc31aea2a1adaaeb940ae0bed8517f46235a2f.mgorny@gentoo> (raw)

commit:     27dc31aea2a1adaaeb940ae0bed8517f46235a2f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 21 18:43:20 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 21 18:58:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27dc31ae

dev-lang/ekopath: Snapshot bump

 dev-lang/ekopath/Manifest                          |  1 +
 .../ekopath/ekopath-6.0.967_p20161020-r1.ebuild    | 63 ++++++++++++++++++
 .../ekopath/ekopath-6.0.967_p20161020-r100.ebuild  | 74 ++++++++++++++++++++++
 3 files changed, 138 insertions(+)

diff --git a/dev-lang/ekopath/Manifest b/dev-lang/ekopath/Manifest
index 2632b96..afa3a28 100644
--- a/dev-lang/ekopath/Manifest
+++ b/dev-lang/ekopath/Manifest
@@ -2,3 +2,4 @@ DIST ekopath-2015-12-13-installer.run 57231316 SHA256 85a3fc7df59373bfef32bf9388
 DIST ekopath-2016-04-09-installer.run 57165340 SHA256 ccdfe4aca6063d8cf885b3878b0ab12505aa765db081f4a0278e392f883dee46 SHA512 cdb8647d36ea8ca411cc2378d87c0a2edf34c834206905350a6cdde5ae0ed14f56f716ebb7ad28129b634088f94e0304c1cef3df1beaac38c3ccc87d5387dce0 WHIRLPOOL 299ac5494f17dc680a794f4cda3417e232c2fe6768df2ee5ba48356be0d929f7ed821b32b5e179c9fd0334081bcca61dddac577b6b8a63201723b1172f94a005
 DIST ekopath-2016-04-28-installer.run 57174533 SHA256 92a0d516fff57849ac88f6fe22e112184f5102cdf0f159324243dc49e7e248ac SHA512 9bb8f22bc3644b5bbfe0dcf768345fd9050d030ee2c9aba315004a5b2f2d95adbc8c613aa41e698f3fde7da235534ecb1b03f489ad2cbbec19b65abfe3ff0967 WHIRLPOOL c64a5578e789c1412da12053d7550689cdd1bb9a330c93b3d00c6b67c3bf7cd9fbcc9a558d2defc7a9ebb9e13c8be038c6c37d067bcf10bd70b29528b201db6c
 DIST ekopath-2016-06-29-installer.run 43660235 SHA256 995712b47430ad4ea6b9474040dbb214e2352b654f82b3f8b1697241038b54dc SHA512 3a1d339e398fcb6330b1329eeb5b5c03082a4cad0a42f39160cc80327f62691b9d429b9fe81fa7b4987eb9d8b0c2b03776c1ad2646bfca2fa033bab68da87069 WHIRLPOOL f6fcf54c5230ea16054feac0a48bdd95f49939cb2cc6081d8af8f785b2ff99e82dc9dedb3bd85c53137f4eed39a8d9b57b971595e6ef748e00afc54977861542
+DIST ekopath-2016-10-20-installer.run 69526937 SHA256 f541d4ce4e4023fb879a667e5ca2f24be55fdc4b618f0776aa01f1fd01f8b7f5 SHA512 020093eb1cc65cd8b2b73ef0e7b5364e029f46ace8893facd343a7ce9eecc2e8f2c1de83c64886e2881ba78677413d89a17d0967e41a41ca2a5a08325bc499b4 WHIRLPOOL 51b80fa7d9275ca64eefda6a90db283ecaa5f33b10c188b7dbe14b48b5e6f50352cd18652dc2fe36c87c386c99c8e40bca68b2084466f3d5146af52a6af0af0b

diff --git a/dev-lang/ekopath/ekopath-6.0.967_p20161020-r1.ebuild b/dev-lang/ekopath/ekopath-6.0.967_p20161020-r1.ebuild
new file mode 100644
index 00000000..f71706c
--- /dev/null
+++ b/dev-lang/ekopath/ekopath-6.0.967_p20161020-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit pax-utils versionator
+
+MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
+DATE=$(get_version_component_range 4)
+DATE=${DATE#p}
+DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
+INSTALLER=${PN}-${DATE}-installer.run
+
+DESCRIPTION="PathScale EKOPath Compiler Suite"
+HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
+SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
+
+LICENSE="all-rights-reserved"
+SLOT="${MY_PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="!!app-arch/rpm"
+RDEPEND="!dev-lang/ekopath:0/${MY_PV}"
+
+RESTRICT="bindist mirror"
+
+QA_PREBUILT="opt/${MY_P}/*"
+
+S="${WORKDIR}"
+
+src_unpack() {
+	cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
+	chmod +x "${S}/${INSTALLER}" || die
+}
+
+src_install() {
+	# EI_PAX marking is obsolete and PT_PAX breaks the binary.
+	# We must use XT_PAX to run the installer.
+	if [[ ${PAX_MARKINGS} == "XT" ]]; then
+		pax-mark m "${INSTALLER}"
+	fi
+
+	./"${INSTALLER}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
+		--mode unattended || die
+
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
+		local guess
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
+
+		if [[ ${guess[@]} ]]; then
+			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
+		else
+			die "No libdir installed"
+		fi
+	fi
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+}

diff --git a/dev-lang/ekopath/ekopath-6.0.967_p20161020-r100.ebuild b/dev-lang/ekopath/ekopath-6.0.967_p20161020-r100.ebuild
new file mode 100644
index 00000000..6a39c10
--- /dev/null
+++ b/dev-lang/ekopath/ekopath-6.0.967_p20161020-r100.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit pax-utils versionator
+
+MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
+DATE=$(get_version_component_range 4)
+DATE=${DATE#p}
+DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
+INSTALLER=${PN}-${DATE}-installer.run
+
+DESCRIPTION="PathScale EKOPath Compiler Suite"
+HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
+SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
+
+LICENSE="all-rights-reserved"
+SLOT="0/${MY_PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="!!app-arch/rpm"
+RDEPEND="!dev-lang/ekopath:${MY_PV}"
+
+RESTRICT="bindist mirror"
+
+QA_PREBUILT="opt/${MY_P}/*"
+
+S="${WORKDIR}"
+
+src_unpack() {
+	cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
+	chmod +x "${S}/${INSTALLER}" || die
+}
+
+src_configure() {
+	cat > 99${PN} <<-EOF || die
+		PATH=${EROOT%/}/opt/${PN}/bin
+		ROOTPATH=${EROOT%/}/opt/${PN}/bin
+		LDPATH=${EROOT%/}/opt/${PN}/lib:${EROOT%/}/opt/${PN}/lib/${MY_PV}/x8664/64
+		MANPATH=${EROOT%/}/opt/${PN}/docs/man
+	EOF
+}
+
+src_install() {
+	# EI_PAX marking is obsolete and PT_PAX breaks the binary.
+	# We must use XT_PAX to run the installer.
+	if [[ ${PAX_MARKINGS} == "XT" ]]; then
+		pax-mark m "${INSTALLER}"
+	fi
+
+	./"${INSTALLER}" \
+		--prefix "${ED%/}/opt/${MY_P}" \
+		--mode unattended || die
+
+	if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
+		local guess
+		cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
+
+		if [[ ${guess[@]} ]]; then
+			die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
+		else
+			die "No libdir installed"
+		fi
+	fi
+	[[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+
+	rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+	dosym ${MY_P} /opt/${PN}
+	doenvd 99${PN}
+}


             reply	other threads:[~2016-10-21 18:58 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-21 18:58 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-06-14  9:30 [gentoo-commits] repo/gentoo:master commit in: dev-lang/ekopath/ Mikle Kolyada
2016-10-21 18:58 Michał Górny
2016-06-30 17:07 Michał Górny
2016-06-23 12:48 Michał Górny
2016-04-29  9:27 Michał Górny
2016-04-29  9:27 Michał Górny
2016-04-10 12:34 Michał Górny
2016-03-25  8:28 Michał Górny
2016-03-19 14:03 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 16:33 Michał Górny
2016-03-12 13:41 Michał Górny
2016-03-04  6:12 Michał Górny
2016-01-25 19:45 Michał Górny
2016-01-01 10:25 Michał Górny
2016-01-01 10:25 Michał Górny
2015-12-14 22:14 Michał Górny
2015-12-12 12:59 Michał Górny
2015-12-02 20:08 Michał Górny
2015-10-30 23:37 Michał Górny
2015-10-30 23:37 Michał Górny
2015-10-12  8:52 Michał Górny
2015-10-11 18:19 Michał Górny
2015-09-22 17:42 Michał Górny
2015-09-11 18:51 Michał Górny
2015-08-12 20:51 Michał Górny
2015-08-10  7:15 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1477076293.27dc31aea2a1adaaeb940ae0bed8517f46235a2f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox